Get team member details
curl --request GET \
--url https://{your-subdomain}.neetocal.com/api/external/v2/team-members/{team_member_id} \
--header 'Accept: <accept>' \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>', Accept: '<accept>'}};
fetch('https://{your-subdomain}.neetocal.com/api/external/v2/team-members/{team_member_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetocal.com/api/external/v2/team-members/{team_member_id}"
headers = {
"X-Api-Key": "<x-api-key>",
"Accept": "<accept>"
}
response = requests.get(url, headers=headers)
print(response.text){
"team_member": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"time_zone": "<string>",
"profile_image_url": "<string>",
"active": true,
"organization_role": "<string>"
}
}Team members
Get team member
Get a team member by ID.
GET
/
team-members
/
{team_member_id}
Get team member details
curl --request GET \
--url https://{your-subdomain}.neetocal.com/api/external/v2/team-members/{team_member_id} \
--header 'Accept: <accept>' \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>', Accept: '<accept>'}};
fetch('https://{your-subdomain}.neetocal.com/api/external/v2/team-members/{team_member_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetocal.com/api/external/v2/team-members/{team_member_id}"
headers = {
"X-Api-Key": "<x-api-key>",
"Accept": "<accept>"
}
response = requests.get(url, headers=headers)
print(response.text){
"team_member": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"time_zone": "<string>",
"profile_image_url": "<string>",
"active": true,
"organization_role": "<string>"
}
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Specifies the expected response format. Must be set to application/json for proper API communication.
Available options:
application/json Path Parameters
Id of the team member that you want to retrieve. You can get team_member_id by listing all team members using our List team members API. Here you will see id for each team member.
Example:
"13c02be6-8bd4-4dda-b9e6-07df53feb8a4"
Response
200 - application/json
OK - Request succeeded